Docs API keys /api/user/self
API reference

Get account profile

Returns the current user profile (password omitted; sensitive fields such as access_token are cleared).

GET/api/user/self

Responses

200 Success application/json
response-200
allOf
ApiEnvelope object
properties
data

Data payload (often Base64 or a structured object)

message string

Message

success boolean

Whether the call succeeded

object object
properties
data object
401 Missing or invalid API Key application/json
response-401 object
properties
error* object
Code Sample cURL
1curl -X GET "https://api.digislash.com/api/user/self"
Response
1▼{
2▼"data": {
3"display_name": "string",
4"email": "string",
5"group": "string",
6"id": 0,
7"phone": "string",
8"quota": 0,
9"request_count": 0,
10"role": 0,
11"status": 0,
12"used_quota": 0,
13"username": "string"
14},
15"message": "string",
16"success": true
17}